Skip to main content
`Ctrl`+`K`

# DMPlexGetSubpointMap

Returns a `DMLabel` with point dimension as values

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetSubpointMap(DM dm, DMLabel *subpointMap)

## Input Parameter

- dm - The submesh `DM`

## Output Parameter

- subpointMap - The `DMLabel` of all the points from the original mesh in this submesh, or `NULL` if this is not a submesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateSubmesh()`, `DMPlexGetSubpointIS()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages